*{
  margin:0;
  padding: 0;
  outline: 0;
}

/*HEADER*/
header{
  min-height: 60px;
  padding-left: 20px;
  padding-right: 20px;
  display: flex;
  border-bottom: 3px solid #fc8c03;  
}

header .logo{
  width: 250px;
  height: 100px;
  display: flex;
}

header .logo img{
  width: 100%;
  height: 100%;
  cursor: pointer;
}

header .menu{
  width: 100%;
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
}

header .menu .search{
  padding-bottom: 30px;
  padding-right: 30px;
}

header .menu .search input{
  float: left;
  border: thin solid #fc8c03;
  height: 25px;
  width: 300px;
}

header .menu .search button{
  float: left;
  color: white;
  background-color: #fc8c03;
  border: none;
  height: 25px;
  width: 50px;
  font-size: 15px;
  cursor: pointer;
}

header .menu .nav button{
  padding: 0px 30px;
  text-decoration: none;
  border-top: 1px solid white;
  border-right: 1px solid white;
  border-left: 1px solid white;
  cursor: pointer;
  border-bottom: none;
  background: none;
  color: #fc8c03;
  font-size: 20px;
  font-weight: 600;
}

header .menu .nav button:hover {
  border-top: 1px solid #fc8c03;
  border-right: 1px solid #fc8c03;
  border-left: 1px solid #fc8c03;

}

/*MAIN

main{}

*/



/* MAIN TABLE */


main #table{
display: flex;
flex-direction: column;
justify-content: center;
height: auto;
width: calc(100% - 70px);
margin: 20px 35px; 
}

main #table table{
  width: 100%;
  border-collapse: collapse;
}

main #table table thead{
  background-color: #fc8c03;
  color: white;
  font: 600;
  font-size: 20px;
  
}

main nav{
  display: flex;
  margin: 10px 0px;
  border-bottom: 2px dotted #fc8c03;
}

main nav .title {
  flex: 1;
  font-size: 20px;
  font-weight: 600;
}

main nav .action button{
  padding: 5px;
  margin-bottom: 5px;
  border: none;
  font-weight: 600;
  font-size: 15px;
  background-color: #fc8c03;
  color: white;   
  cursor: pointer;
}


main #table table td{padding: 10px;}
main #table table th{padding: 10px;}

/* MAIN ABOUT */

main .about{
  height: 300px;
  width: 100%;
  display: flex;
  padding-top: 20px;
}

main .about .textAbout{
  width: 10px;
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10%;
  
}

main .about .textAbout h2{
  color: #fc8c03;
  font-size: 50px;
  font-weight: bolder;
}

main .about .imgAbout{
  width: 50%;
  height: 100%;
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  
}

main .about .imgAbout img{
  height: 300px;
  width: 300px;
  padding-right: 100px;
}

/* MAIN INFO*/

main .info {
  height: 250px;
  width: 90%;
  background-color: #fc8c03;
  margin-top: 10px;
  margin-left: 5%;
  margin-right: 5%;
  margin-bottom: 50px;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

main .info .card{
  width: 250px;
  height: 200px;
  margin: 10px;
  background-color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

main .info .card .icon {
  padding-top: 10%;
  color: #fc8c03;
  font-size: 40px;
}

main .info .card .description{
  padding-bottom: 10%;
  padding-left: 30px;
  padding-right: 30px;
  font-weight: 600;
  font-size: 20px;
  color: #fc8c03;
}

/*MAIN FORM*/

main .form{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding-bottom: 50px;
  width: 100%;
}
main .form h2{
  padding-top: 20px;;
}


main .form  .form-group{
  padding-top: 20px;
  padding-bottom: 10px;
  }

main .form  .form-group input{
  border-radius: 5px;
  border: thin solid #fc8c03;
  width: 100%;
  height: 30px;
  margin-left: 10px;
}

main .form  .buttonSubmit{
  margin-left: 30%;
  padding: 20px 50px;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  background-color: #fc8c03;
  font-size: 15px;
  font-weight: 800;
  color: white;
}

.removeItem {
  margin-left: 10px;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: red;
  color: white;
  border: none;
  cursor: pointer;
}

.addItem {
  margin-left: 10px;
  width: 45px;
  height: 40px;
  border-radius: 50%;
  background-color: green;
  color: white;
  border: none;
  cursor: pointer;
}


main .form  .buttonSubmit:disabled {
  background-color: #ccc;
  cursor: not-allowed;
}

/* FOOTER */
footer {
  width: 100%;
  height: 100px;
  background-color: #fc8c03;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding-top: 20px;
  padding-bottom: 20px;
}

footer a{
  text-decoration: none;
  font-size: 30px;
  font-weight: 300;
  color: white;
}

.divIngrediente{
  display: flex;
  flex: row;
  padding: 5px;
}

.divIngrediente .buttonIngrediente {
  margin-left: 5px;
}

.divPassos{
  display: flex;
  flex: row;
  padding: 5px;
}

.divPassos .buttonPassos {
  margin-left: 5px;
}

button {
  cursor: pointer;
}

.linhaTabela:hover {
  background-color: #fc8c03;
  cursor: pointer;
}

.tdTabela {
  text-align: center;
}

.semConteudo {
  text-align: center;
  margin: 150px 0px;
}

.loader,
.loader:before,
.loader:after {
  background: #fc8c03;
  -webkit-animation: load1 1s infinite ease-in-out;
  animation: load1 1s infinite ease-in-out;
  width: 1em;
  height: 4em;
}
.loader {
  color: #fc8c03;
  text-indent: -9999em;
  margin: 88px auto;
  position: relative;
  font-size: 11px;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}
.loader:before,
.loader:after {
  position: absolute;
  top: 0;
  content: '';
}
.loader:before {
  left: -1.5em;
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}
.loader:after {
  left: 1.5em;
}
@-webkit-keyframes load1 {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }
  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}
@keyframes load1 {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }
  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}
